Merge pull request from neersighted/drop_changelog_22.06

[22.06 backport] cleanup: drop historical CHANGELOG.md
This commit is contained in:
Sebastiaan van Stijn 2022-11-17 10:48:08 +01:00 committed by GitHub
commit 27982c186e
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
4 changed files with 0 additions and 3648 deletions

File diff suppressed because it is too large Load diff

View file

@ -1,12 +0,0 @@
#!/usr/bin/env bash
changelogFile=${1:-CHANGELOG.md}
if [ ! -r "$changelogFile" ]; then
echo "Unable to read file $changelogFile" >&2
exit 1
fi
grep -e '^## ' "$changelogFile" | awk '{print$3}' | sort -c -r || exit 2
echo "Congratulations! Changelog $changelogFile dates are in descending order."

View file

@ -1,25 +0,0 @@
#!/usr/bin/env bash
changelogFile=${1:-CHANGELOG.md}
if [ ! -r "$changelogFile" ]; then
echo "Unable to read file $changelogFile" >&2
exit 1
fi
changelogWellFormed=1
# e.g. "## 1.12.3 (2016-10-26)"
VER_LINE_REGEX='^## [0-9]+\.[0-9]+\.[0-9]+(-ce)? \([0-9]+-[0-9]+-[0-9]+\)$'
while read -r line; do
if ! [[ "$line" =~ $VER_LINE_REGEX ]]; then
echo "Malformed changelog $changelogFile line \"$line\"" >&2
changelogWellFormed=0
fi
done < <(grep '^## ' $changelogFile)
if [[ "$changelogWellFormed" == "1" ]]; then
echo "Congratulations! Changelog $changelogFile is well-formed."
else
exit 2
fi

View file

@ -12,8 +12,6 @@ SCRIPTDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
. "${SCRIPTDIR}"/swagger
. "${SCRIPTDIR}"/swagger-gen
. "${SCRIPTDIR}"/toml
. "${SCRIPTDIR}"/changelog-well-formed
. "${SCRIPTDIR}"/changelog-date-descending
. "${SCRIPTDIR}"/deprecate-integration-cli
. "${SCRIPTDIR}"/golangci-lint
. "${SCRIPTDIR}"/shfmt